/**
 * Theme Name: Fisherman's Choice
 * Description: Fisherman's Choice thema
 * Author: SPIKKER
 * Template: blocksy
 * Text Domain: blocksy
 */

/* Typography */
@media only screen and (max-width: 767px) {
    html {
        font-size: 85%;
    }
}

@media only screen and (max-width: 1023px) {
    html {
        font-size: 90%;
    }
}

@media only screen and (max-width: 1280px) {
    html {
        font-size: 95%;
    }
}

/* Global styles */
.has-trademark > *::after {
    content: "";
    display: inline-block;
    margin-left: 12px;
    width: 0.7em;
    height: 0.7em;
    background-image: url("assets/images/shrimp.svg");
    background-size: cover;
}

.has-quote > *::before {
    content: "";
    display: block;
    margin-bottom: 12px;
    width: 1.8235294118em;
    height: 1.2941176471em;
    background-image: url("assets/images/quote.svg");
    background-size: cover;
}

/* Header */
header {
    --menu-indicator-height: 4px;
}

header .ct-button,
footer .ct-button {
    --theme-button-border: 0;
}

header .site-branding::after,
.ct-header-cta:after {
    content: "";
    width: 1px;
    height: 41px;
    background-color: var(--theme-palette-color-4);
    position: relative;
    top: 22px;
    left: 25px;
}

.gt_selector {
    background-image: none;
    font-family: var(--theme-button-font-family, var(--theme-font-family));
    text-transform: uppercase;
    border: 0;
    padding: 0;
    margin-left: 40px;
    width: 100%;
}

.gt_selector,
.gt_selector:focus {
    background-color: transparent;
}

.mobile-menu .gt_selector {
    padding-left: 0;
    color: var(--theme-palette-color-5);
}

/* Footer */
footer {
    --theme-selection-background-color: var(--theme-palette-color-5);
    --theme-selection-text-color: var(--theme-palette-color-4);
}

@media only screen and (min-width: 1024px) {
    footer div[data-row="bottom"] .ct-container {
        --grid-template-columns: auto auto 1fr !important;
    }
}

footer div[data-row="bottom"] [data-column]:not(:last-child)::after {
    height: 50px;
}

footer .widget_nav_menu li a {
    color: var(--theme-palette-color-5);
    text-transform: uppercase;
    font-family: "Martian Mono", Sans-serif !important;
    font-size: 19px;
    padding-right: 3px;
}

footer .widget_nav_menu li a svg {
    transition: all 0.3s ease-in-out;
}

footer .widget_nav_menu li a:hover {
    background-color: var(--theme-palette-color-5);
    color: var(--theme-palette-color-4);
}

footer .widget_nav_menu li a:hover svg path {
    fill: var(--theme-palette-color-4);
}

/* Products */
.searchandfilter h4 {
    font-size: 2.1176470588rem;
    padding-bottom: 20px;
    margin-bottom: 20px;
    border-bottom: 1px solid var(--theme-palette-color-4);
}

.searchandfilter ul {
    padding-inline-start: 0 !important;
    margin-bottom: 3rem !important;
}

.searchandfilter ul li {
    padding: 0;
}

.searchandfilter ul li li {
    display: grid;
    grid-template-columns: 1em auto;
    gap: 0.5em;
    padding: 0.66rem 0;
}

.searchandfilter ul li label {
    --theme-font-family: "Martian Mono", Sans-Serif;
    line-height: 1.2;
}

.searchandfilter .noUi-connect {
    background-color: var(--theme-palette-color-1);
}

.searchandfilter .sf-range-max,
.searchandfilter .sf-range-min {
    max-width: 120px;
}

[data-prefix="assortiment_archive"] .entries {
    grid-column-gap: calc(2 * var(--grid-columns-gap, 30px));
}

[data-archive="default"] .assortiment.card-content {
    /* display: flex;
	flex-direction: column; */
    /* grid-template-columns: auto;
    grid-template-rows: auto auto auto 1fr; */
    /* gap: 0px 50px;
    grid-template-areas:
        "Image Certifications"
        "Image Title"
		"Image Packaging"; */
    position: relative;
}

[data-archive="default"] .assortiment.card-content .ct-entry-content-block {
    grid-area: Certifications;
}

[data-archive="default"] .assortiment.card-content h2 {
    grid-area: Title;
}

[data-archive="default"] .ct-dynamic-data-layer[data-field*=":vf95NP"] {
    grid-area: Packaging;
    text-transform: uppercase;
    font-family: "Martian Mono", Sans-serif !important;
    line-height: 1.3rem;
    padding-top: 0.66rem;
}

[data-archive="default"] .assortiment.card-content .ct-media-container {
    grid-area: Image;
    max-height: 200px;
}

[data-archive="default"] .assortiment.card-content .ct-media-container img {
    object-fit: contain;
    object-position: left;
}

@media only screen and (min-width: 768px) {
    [data-archive="default"] .assortiment.card-content .ct-media-container img {
        object-position: center;
    }
}

.product-certifications {
    display: flex;
}

.product-certifications img {
    max-width: 80px;
    margin-bottom: 1.33rem;
    margin-right: 1.33rem;
}

[data-prefix="assortiment_archive"]
    [data-archive="default"]
    .card-content
    .ct-entry-content-block[data-id="0Dp4FdEuebOuZXkQz6MT6"] {
    position: absolute;
    width: 100%;
}

.tax-productgroep .product-certifications img,
.post-type-archive-assortiment .product-certifications img {
    max-height: 28px;
}

.product-category-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 0;
    --archive-text-color: #ffff00;
}

.post-type-archive-assortiment .product-category-grid {
    --archive-text-color: #000;
}

.product-category-card {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    text-decoration: none;
    color: var(--archive-text-color);
}

.product-category-card:hover {
    /*background-color: var(--theme-palette-color-1);*/
    color: var(--archive-text-color);
}

.product-category-card > *:not(.product-category-card__media) {
    /*padding-left: 1.3157894737rem;*/
    padding-right: 1.3157894737rem;
}

.product-category-card h2 {
    width: 100%;
    margin: 0;
    padding: 1.3157894737rem 0;
    font-size: 3rem;
    text-align: left;
    border-bottom: 1px solid var(--archive-text-color);
    position: relative;
    color: var(--archive-text-color);
}

@media only screen and (max-width: 767px) {
    .product-category-card h2:after {
        content: "";
        height: 3rem;
        width: 1px;
        background-color: var(--archive-text-color);
        display: inline-block;
        position: absolute;
        right: 1.3157894737rem;
        bottom: 0;
    }
}

@media only screen and (min-width: 768px and max-width: 1023px) {
    .product-category-card:nth-child(2n + 1) h2:after {
        content: "";
        height: 3rem;
        width: 1px;
        background-color: var(--archive-text-color);
        display: inline-block;
        position: absolute;
        right: 1.3157894737rem;
        bottom: 0;
    }
}

@media only screen and (min-width: 1024px) {
    .product-category-card:nth-child(3n + 1) h2:after,
    .product-category-card:nth-child(3n + 2) h2:after {
        content: "";
        height: 3rem;
        width: 1px;
        background-color: var(--archive-text-color);
        display: inline-block;
        position: absolute;
        right: 1.3157894737rem;
        bottom: 0;
    }
}

.product-category-card span {
    font-family: "Martian Mono", Sans-Serif;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 0.66rem;
    line-height: 0.66rem;
}

.product-category-card__image {
    width: 75%;
    height: 100%;
    object-fit: contain;
    display: block;
}

.product-category-card__excerpt {
    font-family: "Martian Mono", Sans-Serif;
    text-transform: uppercase;
    width: 66.66%;
    line-height: 1.3rem;
}

@media only screen and (min-width: 768px) {
    .product-category-grid {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

@media only screen and (min-width: 1024px) {
    .product-category-grid {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }
}

.single-assortiment [data-vertical-spacing*="top"] {
    padding-top: calc(var(--theme-content-vertical-spacing) - 60px);
}

.single-assortiment .ct-popup .ct-toggle-close[data-location="inside"] {
    top: 0;
    right: 0;
    --toggle-button-radius: 0;
    --theme-icon-size: 25px;
    --toggle-button-size: 60px;
}

.acf-product-table,
.acf-product-table tr th,
.acf-product-table tr td {
    border: 0;
    padding-left: 0;
    padding-top: 0;
}

.acf-product-table tr th {
    width: auto;
    min-width: 175px;
    text-align: left;
}

.acf-product-table tr td {
    width: 100%;
}

/* Forms */
label.gfield_label {
    font-family: "Martian Mono", Sans-serif !important;
    text-transform: uppercase !important;
}

input[type="checkbox"] {
    /* Add if not using autoprefixer */
    -webkit-appearance: none;
    /* Remove most all native input styles */
    appearance: none;
    /* For iOS < 15 */
    background-color: var(--form-background);
    /* Not removed via appearance */
    margin: 0;

    font: inherit;
    color: currentColor;
    width: 1.15em;
    height: 1.15em;
    border: 0.15em solid currentColor;
    border-radius: 0.15em;
    transform: translateY(-0.075em);

    display: grid;
    place-content: center;
}

input[type="checkbox"]::before {
    content: "";
    width: 0.65em;
    height: 0.65em;
    clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
    transform: scale(0);
    transform-origin: bottom left;
    transition: 120ms transform ease-in-out;
    box-shadow: inset 1em 1em var(--form-control-color);
    /* Windows High Contrast Mode */
    background-color: CanvasText;
}

input[type="checkbox"]:checked::before {
    transform: scale(1);
}

input[type="checkbox"]:focus {
    outline: max(2px, 0.15em) solid currentColor;
    outline-offset: max(2px, 0.15em);
}

input[type="checkbox"]:disabled {
    --form-control-color: var(--form-control-disabled);

    color: var(--form-control-disabled);
    cursor: not-allowed;
}

.gfield--type-choice .ginput_container {
    display: grid;
    grid-template: 1fr auto;
    grid-template-columns: 24px auto;
    line-height: 1.15rem;
    grid-gap: 5px;
}
